#include "gl_window.h"
#include <stdio.h>

void idle_cb(void *);

// window
// this now needs to be global, because the idle callback has no
// way to be passed in a pointer to the window :(

// create our main window
gl_window * window = new gl_window(0, 0, 500, 400, "Canvas");

int main(int argc, char* argv[])
{
	// close it up, show it

	window->end();

	window->show();

	// idle callback
	Fl:: add_timeout(0.01, idle_cb);

	// event loop
	return Fl :: run();
}

void idle_cb(void *)
{
	// recall timeout
	Fl::repeat_timeout(0.01, idle_cb);

	if(window->visible())
		window->rotate();
}
